Package ghidra.trace.database.symbol

# Class AbstractDBTraceSymbolSingleTypeWithAddressView<T extends AbstractDBTraceSymbol>

java.lang.Object
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView<T>
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeWithAddressView<T>

public abstract class AbstractDBTraceSymbolSingleTypeWithAddressView<T extends AbstractDBTraceSymbol> extends AbstractDBTraceSymbolSingleTypeView<T>

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `manager, store, symbolsByName, symbolsByParentID, typeID, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDBTraceSymbolSingleTypeWithAddressView(DBTraceSymbolManager manager, byte typeID, DBCachedObjectStore<T> store)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends T>`
  `getAt(Address address, boolean includeDynamicSymbols)`
  `T`
  `getChildWithNameAt(String name, Address address, TraceNamespaceSymbol parent)`
  `T`
  `getGlobalWithNameAt(String name, Address address)`
  `Collection<? extends T>`
  `getIntersecting(AddressRange range, boolean includeDynamicSymbols)`

  ### Methods inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `constructView, getAll, getByKey, getChildren, getChildrenNamed, getManager, getNamed, getWithMatchingName, invalidateCache, scanByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDBTraceSymbolSingleTypeWithAddressView

    public AbstractDBTraceSymbolSingleTypeWithAddressView(DBTraceSymbolManager manager, byte typeID, DBCachedObjectStore<T> store)

- ## Method Details

  - ### getChildWithNameAt

    public T getChildWithNameAt(String name, Address address, TraceNamespaceSymbol parent)

  - ### getGlobalWithNameAt

    public T getGlobalWithNameAt(String name, Address address)

  - ### getIntersecting

    public Collection<? extends T> getIntersecting(AddressRange range, boolean includeDynamicSymbols)

  - ### getAt

    public Collection<? extends T> getAt(Address address, boolean includeDynamicSymbols)